Issue1210

classification
Title: Lib/socket.py doesn't allow IPv6 sockets and fails with an AssertionError
Type: behaviour Severity: normal
Components: Library Versions: 2.5b0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, billiejoex, kfitch42, mcella
Priority: normal Keywords: ipv6

Created on 2008-12-17.15:17:49 by mcella, last changed 2011-02-03.21:58:15 by amak.

Messages
msg3950 (view) Author: Michele Cella (mcella) Date: 2008-12-17.15:17:48
ATM you can't open IPv6 sockets since Lib/socket.py contains the
following assert:

 518 def _realsocket(family = AF_INET, type = SOCK_STREAM, flags=0):
 519     assert family == AF_INET

on IRC pjenvey said "likely it should be but there may be other changes
needed before AF_INET6 works" and "log a ticket for that one"

Not sure if this wanted (since IPv6 may just be not supported yet as
pjenvey said) or is just a typo, anyway getaddrinfo uses a different assert:

 527 def getaddrinfo(host, port, family=AF_INET, socktype=None, proto=0,
flags=None):
 528     try:
 529         if not family in [AF_INET, AF_INET6, AF_UNSPEC]:
msg4511 (view) Author: Kevin Fitch (kfitch42) Date: 2009-04-15.03:41:49
Also, there is a boolean has_ipv6, which is set to the constant 1. Which
says we do support ipv6. I noticed this when trying to run the test
suite for pyftpdlib (see Issue1312).
msg4536 (view) Author: Alan Kennedy (amak) Date: 2009-04-18.13:14:21
For the moment, we don't support IPV6: I have checked in a new value for
the has_ipv6 flag: False.

We will address this in the future, when a clear testing strategy for
testing IPv6 is decided. This may happen after the 2.5 release.
msg6381 (view) Author: Alan Kennedy (amak) Date: 2011-02-03.21:58:15
Fixes checked in at r7191 and r7193.
History
Date User Action Args
2011-02-03 21:58:15amaksetstatus: open -> closed
resolution: fixed
messages: + msg6381
2009-04-18 13:14:21amaksetmessages: + msg4536
2009-04-15 03:41:49kfitch42setnosy: + kfitch42
messages: + msg4511
2009-04-04 02:20:46fwierzbickisetpriority: normal
2009-03-07 17:02:30billiejoexsetnosy: + billiejoex
2009-01-28 16:44:55amaksetkeywords: + ipv6
2008-12-18 20:38:40amaksetassignee: amak
nosy: + amak
2008-12-17 15:18:42mcellasetcomponents: + Library
2008-12-17 15:17:49mcellacreate